import * as fs from 'fs'
import { join } from 'path'
import * as chalk from 'chalk'

const path = join(process.env.HOMEPATH, '.siscon-cli.json')

if (!fs.existsSync(path)) writeDefaultConfigFile()

function writeDefaultConfigFile () {
  const defaultConfig = {
    'service': {
      'url': 'http://dev.conexops.com.br/cxClient/cxIsapiClient.dll/gatewayJSON',
      'system': 0,
      'server': 'srp1vp1.conexops.com.br',
      'port': 7266
    }
  }
  fs.writeFileSync(path, JSON.stringify(defaultConfig, null, 2))
}

export default function getConfigFile (): ConfigFile {
  return JSON.parse(fs.readFileSync(path, {encoding: 'utf8'}))
}

export type ConfigFile = {
  service: {url: string, system: string | number, server: string, port: string | number}
}
